Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookiduuidbooking_iduuidinvoice_iduuidcreated_attimestamp with time zoneupdated_attimestamp with time zoneamountintegercommenttextcurrencyCurrencydue_attimestamp with time zone | nullftstsvectorpaidintegerpolicyjsonbreferencetextstatustextJSON
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"invoice_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T07:07:29.825Z",
"updated_at": "2026-03-12T07:07:29.825Z",
"amount": 0,
"comment": "",
"currency": "USD",
"due_at": "2026-03-12T07:07:29.825Z",
"paid": 0,
"policy": {},
"reference": "",
"status": ""
}idFilter<uuid>booking_idFilter<uuid>invoice_idFilter<uuid>created_atFilter<timestamp with time zone>updated_atFilter<timestamp with time zone>amountFilter<integer>commentFilter<text>currencyFilter<Currency>due_atFilter<timestamp with time zone | null>ftsFilter<tsvector>paidFilter<integer>policyFilter<jsonb>referenceFilter<text>statusFilter<text>200A list of refunds with the selected columns
206Partial Content
GET /refundscurl -X GET "https://api.bookingmood.com/v1/refunds?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Refund> | Array<Partial<Refund>>201The newly created refunds with the selected columns
POST /refundscurl -X POST "https://api.bookingmood.com/v1/refunds" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>booking_idFilter<uuid>invoice_idFilter<uuid>created_atFilter<timestamp with time zone>updated_atFilter<timestamp with time zone>amountFilter<integer>commentFilter<text>currencyFilter<Currency>due_atFilter<timestamp with time zone | null>ftsFilter<tsvector>paidFilter<integer>policyFilter<jsonb>referenceFilter<text>statusFilter<text>204The deleted refunds with the selected columns
DELETE /refundscurl -X DELETE "https://api.bookingmood.com/v1/refunds" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>booking_idFilter<uuid>invoice_idFilter<uuid>created_atFilter<timestamp with time zone>updated_atFilter<timestamp with time zone>amountFilter<integer>commentFilter<text>currencyFilter<Currency>due_atFilter<timestamp with time zone | null>ftsFilter<tsvector>paidFilter<integer>policyFilter<jsonb>referenceFilter<text>statusFilter<text>Partial<Refund>204The updated refunds with the selected columns
PATCH /refundscurl -X PATCH "https://api.bookingmood.com/v1/refunds" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'